#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-J5Kd9ktKZZF36j6m24zCNP-dns-internal
key:                  dns-4.0.1-J5Kd9ktKZZF36j6m24zCNP-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  73891c09d270c3363a4cd7350b65e97e
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-J5Kd9ktKZZF36j6m24zCNP-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-CPBwqhOcknLBTZGzgxEVzJ
    attoparsec-0.14.1-K3GEu9KsQZ4BOtaACmx2c3
    auto-update-0.1.6-9motVci54yNGkON0mI0DWm base-4.15.0.0
    base16-bytestring-1.0.1.0-BRvfKclt2qL8KPIGtNU9kE
    base64-bytestring-1.2.0.1-CtEMJytMRvxImsCsB8sCpa
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-4GXGeU7MBxS1kRd3fVjXlU
    hourglass-0.2.12-GBy7mUmPL2FGVzSBztjXPV
    iproute-1.7.11-Kq86ub1IinBLJrdPryo3Er mtl-2.2.2
    network-3.1.2.2-C70Fm50cmslJ7TWDPl1j2c
    psqueues-0.2.7.2-YNrgbn6VWY4pLjsMkNNDV

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-6xYTESKXFjqEIqPJ3VE6b5
key:                  dns-4.0.1-6xYTESKXFjqEIqPJ3VE6b5
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  3d1f13e406325b8a4565829a8c1eedf4
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-6xYTESKXFjqEIqPJ3VE6b5
depends:
    array-0.5.4.0 async-2.2.3-CPBwqhOcknLBTZGzgxEVzJ
    attoparsec-0.14.1-K3GEu9KsQZ4BOtaACmx2c3
    auto-update-0.1.6-9motVci54yNGkON0mI0DWm base-4.15.0.0
    base16-bytestring-1.0.1.0-BRvfKclt2qL8KPIGtNU9kE
    base64-bytestring-1.2.0.1-CtEMJytMRvxImsCsB8sCpa
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-4GXGeU7MBxS1kRd3fVjXlU
    dns-4.0.1-J5Kd9ktKZZF36j6m24zCNP-dns-internal
    hourglass-0.2.12-GBy7mUmPL2FGVzSBztjXPV
    iproute-1.7.11-Kq86ub1IinBLJrdPryo3Er mtl-2.2.2
    network-3.1.2.2-C70Fm50cmslJ7TWDPl1j2c
    psqueues-0.2.7.2-YNrgbn6VWY4pLjsMkNNDV

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

